Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka
Class LatkaException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.commons.latka.LatkaException

All Implemented Interfaces:
  java.io.Serializable

public class LatkaException
extends java.lang.Exception

Latka throws this exception to the client whenever a problem occurs that is not covered by one of the standard JDK exceptions (validation errors, SAX problems, etc.)

Author:
  Morgan Delagrange
See Also:
  Serialized Form

Constructor Summary
`LatkaException(java.lang.Exception e)` Wrapped exception.
`LatkaException(java.lang.String message)` Standard exception

Method Summary
`java.lang.Exception` | `getException()` Get a wrapped exception
`static void` | `printWrappedExceptions(LatkaException e)` Print a wrapped exception to stdout and, in the case of SAXExceptions, an additional wrapped exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LatkaException

    public LatkaException(java.lang.Exception e)

  Wrapped exception.
  Parameters:
    `e` - exception to wrap

### LatkaException

    public LatkaException(java.lang.String message)

  Standard exception

Method Detail

### getException

    public java.lang.Exception getException()

  Get a wrapped exception
  Returns:
    a wrapped exception, or null if no wrapped exception exists.

### printWrappedExceptions

    public static void printWrappedExceptions(LatkaException e)

  Print a wrapped exception to stdout and, in the case of SAXExceptions, an additional wrapped exception. This method does _not_ print the exception's message itself.
  Parameters:
    `e` - LatkaException with wrapped messages.

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.